Bug 461302 - Make Search server listen to localhost only
Make Search server listen to localhost only
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
0.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jesus M. Rodriguez
Red Hat Satellite QA List
:
Depends On:
Blocks: space03
  Show dependency treegraph
 
Reported: 2008-09-05 13:52 EDT by Jesus M. Rodriguez
Modified: 2009-09-17 03:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-17 03:01:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesus M. Rodriguez 2008-09-05 13:52:54 EDT
Change search server to listen to localhost only by default.
Comment 1 Jesus M. Rodriguez 2008-09-05 13:54:44 EDT
Fixed in ed6736b6f6751c0ebdfb296b2066ad4ff3d5d22e commit.
Comment 2 John Matthews 2008-11-04 15:04:30 EST
Search server listens to port 2828 by default, it can be changed by the configuration parameter: "search.rpc_port"


Verified:
spacewalk-search-0.3.4-1.el5.sw


# netstat -tapn | grep 2828
tcp        0      0 ::ffff:127.0.0.1:2828       :::*                        LISTEN      741/java
Comment 3 Miroslav Suchý 2009-09-17 03:01:12 EDT
Spacewalk has been released for some time.

Note You need to log in before you can comment on or make changes to this bug.